package com.hotent.project.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.hotent.base.entity.BaseModel;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import com.fasterxml.jackson.annotation.JsonProperty;
/**
 * 监审项目集体审议表
 *
 * @company 山西清众科技股份有限公司
 * @author 超级管理员
 * @since 2025-09-27
 */
@ApiModel(value="CostProjectDeliberate对象", description="监审项目集体审议表")
public class CostProjectDeliberate extends BaseModel<CostProjectDeliberate> {

    private static final long serialVersionUID = 1L;
    @ApiModelProperty(value = "主键ID")
    @TableId(value = "id", type = IdType.ASSIGN_ID)
    @JsonProperty("id")
    private String id;

    @ApiModelProperty(value = "关联监审项目ID")
    @TableField("project_id")
    @JsonProperty("projectId")
    private String projectId;


    @ApiModelProperty(value = "主任务ID")
    @TableField("task_id")
    @JsonProperty("taskId")
    private String taskId;

    @ApiModelProperty(value = "审议形式")
    @TableField("deliberation_form")
    @JsonProperty("deliberationForm")
    private String deliberationForm;

    @ApiModelProperty(value = "审议时间 开始")
    @TableField("begin_time")
    @JsonProperty("beginTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    private LocalDateTime beginTime;

    @ApiModelProperty(value = "审议时间 结束")
    @TableField("end_time")
    @JsonProperty("endTime")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone="GMT+8")
    private LocalDateTime endTime;

    @ApiModelProperty(value = "地点")
    @TableField("location")
    @JsonProperty("location")
    private String location;

    @ApiModelProperty(value = "主持人")
    @TableField("host_person")
    @JsonProperty("hostPerson")
    private String hostPerson;

    @ApiModelProperty(value = "记录人员")
    @TableField("record_person")
    @JsonProperty("recordPerson")
    private String recordPerson;

    @ApiModelProperty(value = "参加人员")
    @TableField("participants")
    @JsonProperty("participants")
    private String participants;

    @ApiModelProperty(value = "监审单位id")
    @TableField("enterprise_id")
    @JsonProperty("enterpriseId")
    private String enterpriseId;

    @ApiModelProperty(value = "审议情况")
    @TableField("deliberation_content")
    @JsonProperty("deliberationContent")
    private String deliberationContent;

    @ApiModelProperty(value = "审议结论意见")
    @TableField("conclusion_opinion")
    @JsonProperty("conclusionOpinion")
    private String conclusionOpinion;

    @ApiModelProperty(value = "附件ID集合(多个附件用逗号分隔)")
    @TableField("attachment_ids")
    @JsonProperty("attachmentIds")
    private String attachmentIds;

    @ApiModelProperty(value = "逻辑删除：0正常 1已删除")
    @TableField("is_deleted")
    @JsonProperty("isDeleted")
    private Boolean isDeleted;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    @JsonProperty("createTime")
    private LocalDateTime createTime;

    @ApiModelProperty(value = "创建人")
    @TableField("create_by")
    @JsonProperty("createBy")
    private String createBy;

    @ApiModelProperty(value = "更新时间")
    @TableField("update_time")
    @JsonProperty("updateTime")
    private LocalDateTime updateTime;

    @ApiModelProperty(value = "更新人")
    @TableField("update_by")
    @JsonProperty("updateBy")
    private String updateBy;


    public String getTaskId() {
        return taskId;
    }

    public void setTaskId(String taskId) {
        this.taskId = taskId;
    }

    public Boolean getDeleted() {
        return isDeleted;
    }

    public void setDeleted(Boolean deleted) {
        isDeleted = deleted;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }
    public String getProjectId() {
        return projectId;
    }

    public void setProjectId(String projectId) {
        this.projectId = projectId;
    }
    public String getDeliberationForm() {
        return deliberationForm;
    }

    public void setDeliberationForm(String deliberationForm) {
        this.deliberationForm = deliberationForm;
    }
    public LocalDateTime getBeginTime() {
        return beginTime;
    }

    public void setBeginTime(LocalDateTime beginTime) {
        this.beginTime = beginTime;
    }
    public LocalDateTime getEndTime() {
        return endTime;
    }

    public void setEndTime(LocalDateTime endTime) {
        this.endTime = endTime;
    }
    public String getLocation() {
        return location;
    }

    public void setLocation(String location) {
        this.location = location;
    }
    public String getHostPerson() {
        return hostPerson;
    }

    public void setHostPerson(String hostPerson) {
        this.hostPerson = hostPerson;
    }
    public String getRecordPerson() {
        return recordPerson;
    }

    public void setRecordPerson(String recordPerson) {
        this.recordPerson = recordPerson;
    }
    public String getParticipants() {
        return participants;
    }

    public void setParticipants(String participants) {
        this.participants = participants;
    }
    public String getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
    }
    public String getDeliberationContent() {
        return deliberationContent;
    }

    public void setDeliberationContent(String deliberationContent) {
        this.deliberationContent = deliberationContent;
    }
    public String getConclusionOpinion() {
        return conclusionOpinion;
    }

    public void setConclusionOpinion(String conclusionOpinion) {
        this.conclusionOpinion = conclusionOpinion;
    }
    public String getAttachmentIds() {
        return attachmentIds;
    }

    public void setAttachmentIds(String attachmentIds) {
        this.attachmentIds = attachmentIds;
    }
    public Boolean getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(Boolean isDeleted) {
        this.isDeleted = isDeleted;
    }
    public LocalDateTime getCreateTime() {
        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }
    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }
    public LocalDateTime getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(LocalDateTime updateTime) {
        this.updateTime = updateTime;
    }
    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }


    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "CostProjectDeliberate{" +
            "id=" + id +
            ", projectId=" + projectId +
            ", deliberationForm=" + deliberationForm +
            ", beginTime=" + beginTime +
            ", endTime=" + endTime +
            ", location=" + location +
            ", hostPerson=" + hostPerson +
            ", recordPerson=" + recordPerson +
            ", participants=" + participants +
            ", enterpriseId=" + enterpriseId +
            ", deliberationContent=" + deliberationContent +
            ", conclusionOpinion=" + conclusionOpinion +
            ", attachmentIds=" + attachmentIds +
            ", isDeleted=" + isDeleted +
            ", createTime=" + createTime +
            ", createBy=" + createBy +
            ", updateTime=" + updateTime +
            ", updateBy=" + updateBy +
        "}";
    }
}
